Package org.apache.calcite.avatica

## Class MetaImpl.MetaColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaColumn

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaColumn
    extends java.lang.Object
    implements MetaImpl.Named

Metadata describing a column.

### Field Summary

Fields
`java.lang.Integer` `bufferLength`
`java.lang.Integer` `charOctetLength`
`java.lang.String` `columnDef`
`java.lang.String` `columnName`
`java.lang.Integer` `columnSize`
`int` `dataType`
`java.lang.Integer` `decimalDigits`
`java.lang.String` `isAutoincrement`
`java.lang.String` `isGeneratedcolumn`
`java.lang.String` `isNullable`
`int` `nullable`
`java.lang.Integer` `numPrecRadix`
`int` `ordinalPosition`
`java.lang.String` `remarks`
`java.lang.String` `scopeCatalog`
`java.lang.String` `scopeSchema`
`java.lang.String` `scopeTable`
`java.lang.Short` `sourceDataType`
`java.lang.Integer` `sqlDataType`
`java.lang.Integer` `sqlDatetimeSub`
`java.lang.String` `tableCat`
`java.lang.String` `tableName`
`java.lang.String` `tableSchem`
`java.lang.String` `typeName`

### Constructor Summary

Constructors
`MetaColumn​(java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName, java.lang.String columnName, int dataType, java.lang.String typeName, java.lang.Integer columnSize, java.lang.Integer decimalDigits, java.lang.Integer numPrecRadix, int nullable, java.lang.Integer charOctetLength, int ordinalPosition, java.lang.String isNullable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final java.lang.String tableCat

#### tableSchem

    public final java.lang.String tableSchem

#### tableName

    public final java.lang.String tableName

#### columnName

    public final java.lang.String columnName

#### dataType

    public final int dataType

#### typeName

    public final java.lang.String typeName

#### columnSize

    public final java.lang.Integer columnSize

#### bufferLength

    public final java.lang.Integer bufferLength

#### decimalDigits

    public final java.lang.Integer decimalDigits

#### numPrecRadix

    public final java.lang.Integer numPrecRadix

#### nullable

    public final int nullable

#### remarks

    public final java.lang.String remarks

#### columnDef

    public final java.lang.String columnDef

#### sqlDataType

    public final java.lang.Integer sqlDataType

#### sqlDatetimeSub

    public final java.lang.Integer sqlDatetimeSub

#### charOctetLength

    public final java.lang.Integer charOctetLength

#### ordinalPosition

    public final int ordinalPosition

#### isNullable

    public final java.lang.String isNullable

#### scopeCatalog

    public final java.lang.String scopeCatalog

#### scopeSchema

    public final java.lang.String scopeSchema

#### scopeTable

    public final java.lang.String scopeTable

#### sourceDataType

    public final java.lang.Short sourceDataType

#### isAutoincrement

    public final java.lang.String isAutoincrement

See Also:
  Constant Field Values

#### isGeneratedcolumn

    public final java.lang.String isGeneratedcolumn

See Also:
  Constant Field Values

### Constructor Detail

#### MetaColumn

    public MetaColumn​(java.lang.String tableCat,
                      java.lang.String tableSchem,
                      java.lang.String tableName,
                      java.lang.String columnName,
                      int dataType,
                      java.lang.String typeName,
                      java.lang.Integer columnSize,
                      java.lang.Integer decimalDigits,
                      java.lang.Integer numPrecRadix,
                      int nullable,
                      java.lang.Integer charOctetLength,
                      int ordinalPosition,
                      java.lang.String isNullable)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`